import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:momomotus/cubit/game_cubit.dart';
import 'package:momomotus/ui/helpers/styled_button.dart';

class ResumeSavedGameButton extends StatelessWidget {
  const ResumeSavedGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return StyledButton(
      color: Colors.blue,
      onPressed: () {
        BlocProvider.of<GameCubit>(context).resumeSavedGame();
      },
      child: const Image(
        image: AssetImage('assets/ui/button_resume_game.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
